package com.iamberry.wechat.core.entity.flow;

import java.util.Date;

/**
 * 模板表，用于建立返利流程节点定义表
 * @author liuzhiwei
 * @date 2016-7-5
 */
public class TemplateFlowInfo implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 3075376006843403648L;

	private Integer flowId;							//流程节点id
	
	private Integer templateId;					//模板id
	
	private Integer flowLevel;					//层次
	
	private Integer flowSkipStep;				//是否跳过
	
	private Integer flowMoney;					//返利金额
	
	private Integer flowRoleId;					//角色id
	
	private Integer flowType;					//角色类型
	
	private Date flowCreateDate;				//创建时间
	
	private Date flowUpdateDate;				//更新时间
	
	private Integer flowState;					//状态
	
	private String flowNo;						//存放坐标，用于标识存放页面具体位置
	
	private Integer flowProductType;			// 产品类型
	
	public Integer getFlowProductType() {
		return flowProductType;
	}

	public void setFlowProductType(Integer flowProductType) {
		this.flowProductType = flowProductType;
	}

	public String getFlowNo() {
		return flowNo;
	}

	public void setFlowNo(String flowNo) {
		this.flowNo = flowNo;
	}

	public Integer getFlowId() {
		return flowId;
	}

	public void setFlowId(Integer flowId) {
		this.flowId = flowId;
	}

	public Integer getTemplateId() {
		return templateId;
	}

	public void setTemplateId(Integer templateId) {
		this.templateId = templateId;
	}

	public Integer getFlowLevel() {
		return flowLevel;
	}

	public void setFlowLevel(Integer flowLevel) {
		this.flowLevel = flowLevel;
	}

	public Integer getFlowSkipStep() {
		return flowSkipStep;
	}

	public void setFlowSkipStep(Integer flowSkipStep) {
		this.flowSkipStep = flowSkipStep;
	}

	public Integer getFlowMoney() {
		return flowMoney;
	}

	public void setFlowMoney(Integer flowMoney) {
		this.flowMoney = flowMoney;
	}

	public Integer getFlowRoleId() {
		return flowRoleId;
	}

	public void setFlowRoleId(Integer flowRoleId) {
		this.flowRoleId = flowRoleId;
	}

	public Integer getFlowType() {
		return flowType;
	}

	public void setFlowType(Integer flowType) {
		this.flowType = flowType;
	}

	public Date getFlowCreateDate() {
		return flowCreateDate;
	}

	public void setFlowCreateDate(Date flowCreateDate) {
		this.flowCreateDate = flowCreateDate;
	}

	public Date getFlowUpdateDate() {
		return flowUpdateDate;
	}

	public void setFlowUpdateDate(Date flowUpdateDate) {
		this.flowUpdateDate = flowUpdateDate;
	}

	public Integer getFlowState() {
		return flowState;
	}

	public void setFlowState(Integer flowState) {
		this.flowState = flowState;
	}
	
	
}
